Bug 886463 - Keyboard layout switching is confusing on LiveCD
Summary: Keyboard layout switching is confusing on LiveCD
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-12-12 10:56 UTC by Kamil Páral
Modified: 2013-01-02 21:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 21:51:12 UTC
Type: Bug


Attachments (Terms of Use)
keyboard screen on LiveCD (37.71 KB, image/png)
2012-12-12 10:56 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2012-12-12 10:56:35 UTC
Created attachment 662258 [details]
keyboard screen on LiveCD

Description of problem:
I talked to Vratislav Podzimek and we agreed that keyboard layout switching is confusing on LiveCD. It is not explained properly that:
1. the layout list displayed in the Keyboard screen it used just for the installed system and not for the installer itself
2. how can the user configure and set the active keyboard layout for the installation process

See example screenshot, the only explanation is "Testing layouts configuration not available", which doesn't explain much to the user.

Ideally there should be a text saying something like:

"The installed system will use keyboard layouts configured here. The top layout will be the default one."

"Use your currently running desktop environment tools to configure the keyboard layout used for the installation."


Version-Release number of selected component (if applicable):
anaconda 18.36

Comment 1 Vratislav Podzimek 2012-12-13 12:59:00 UTC
Patch adding a warning [1] sent to anaconda-patches.

[1] http://vpodzime.fedorapeople.org/keyboard_spoke_warning.png

Comment 2 Kamil Páral 2012-12-13 14:41:36 UTC
Vratislav, can you show the warning only when running in live environment? It would be a pity to warn users even if not needed.

Comment 3 Vratislav Podzimek 2012-12-13 15:07:52 UTC
(In reply to comment #2)
> Vratislav, can you show the warning only when running in live environment?
> It would be a pity to warn users even if not needed.
It shows only on live installations.

Comment 4 Vratislav Podzimek 2012-12-18 11:14:53 UTC
(In reply to comment #1)
> Patch adding a warning [1] sent to anaconda-patches.
> 
> [1] http://vpodzime.fedorapeople.org/keyboard_spoke_warning.png
A bit different string was used [1] (the same URL) and the patch was pushed to master. Proposing this as NiceToHave.

Comment 5 Adam Williamson 2012-12-19 19:22:04 UTC
Discussed at 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Accepted as NTH: adding a warning is a relatively safe fix, there's lots of space on the screen so it shouldn't cause layout issues, and this will certainly clarify things for live installers.

Comment 6 Vratislav Podzimek 2012-12-21 14:33:18 UTC
Patch ported to F18-branch and should appear in the next build for F18.

Comment 7 Fedora Update System 2012-12-21 23:33:24 UTC
dracut-024-17.git20121220.fc18, anaconda-18.37.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.7-1.fc18

Comment 8 Fedora Update System 2012-12-22 21:12:01 UTC
Package dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-024-17.git20121220.fc18 anaconda-18.37.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20838/dracut-024-17.git20121220.fc18,anaconda-18.37.8-1.fc18
then log in and leave karma (feedback).

Comment 9 Germano Massullo 2013-01-02 11:51:03 UTC
Even if (probably) my experience took place before this update, I would like to share it with you
https://bugzilla.redhat.com/show_bug.cgi?id=882440#c8

Comment 10 Fedora Update System 2013-01-02 21:51:15 UTC
dracut-024-17.git20121220.fc18, anaconda-18.37.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.